<?php
public function create($objectType, $objectID, $actionType, $comment = '', $extra = '', $actor = '', $customer = 0, $contact = 0)
{
    $actionID = parent::create($objectType, $objectID, $actionType, $comment, $extra, $actor, $customer, $contact);
    $this->loadExtension('bizext')->saveIndex($objectType, $objectID, $actionType);
    return $actionID;
}

/**
 * Get actions of an object.
 * 
 * @param  string $objectType 
 * @param  int    $objectID 
 * @param  string $action 
 * @param  object $pager
 * @param  string $origin 
 * @access public
 * @return array 
 */
public function getList($objectType, $objectID, $action = '', $pager = null, $origin = '')
{
    return $this->loadExtension('bizext')->getList($objectType, $objectID, $action, $pager, $origin);
}

/**
 * Print actions of an object.
 * 
 * @param  array    $action 
 * @access public
 * @return void
 */
public function printAction($action)
{
    return $this->loadExtension('bizext')->printAction($action);
}

/**
 * Print changes.
 * 
 * @param  int    $objectType 
 * @param  int    $histories 
 * @param  int    $action 
 * @access public
 * @return void
 */
public function printChanges($objectType, $histories, $action)
{
    return $this->loadExtension('bizext')->printChanges($objectType, $histories, $action);
}

/**
 * Get actions as dynamic.
 * 
 * @param  string $account 
 * @param  string $period 
 * @param  string $orderBy 
 * @param  object $pager
 * @access public
 * @return array
 */
public function getDynamic($account = 'all', $period = 'all', $orderBy = 'date_desc', $pager = null, $date = '', $direction = 'next')
{
    return $this->loadExtension('bizext')->getDynamic($account, $period, $orderBy, $pager, $date, $direction);
}

public function buildDateGroup($actions, $direction = 'next')
{
    return $this->loadExtension('bizext')->buildDateGroup($actions, $direction);
}

public function sendNotice($actionID, $reader, $onlyNotice = false)
{
    return $this->loadExtension('bizext')->sendNotice($actionID, $reader, $onlyNotice);
}
